Loading...
Searching...
No Matches
CLI::detail::element_value_type< T > Struct Template Reference

`#include <TypeTools.hpp>`

## Public Types

using | type = typename element_type<T>::type::value_type

## Detailed Description

template<typename T>
struct CLI::detail::element_value_type< T >

Combination of the element type and value type - remove pointer (including smart pointers) and get the value_type of the container

## Member Typedef Documentation

## type

template<typename T>

using CLI::detail::element_value_type< T >::type = typename element_type<T>::type::value_type

The documentation for this struct was generated from the following file:

- include/CLI/TypeTools.hpp